Skip to content

Audit ​


Manages audit logs on the platform.

Get the list of audits ​

List all audits based on provided filters.

Request ​

Endpoint ​

GET /api/v01/draas/{draas_instance}/groups/{uuid}/audit

GET /api/v01/draas/{draas_instance}/distributors/{uuid}/audit

GET /api/v01/draas/{draas_instance}/resellers/{uuid}/audit

GET /api/v01/draas/{draas_instance}/tenants/{uuid}/audit

GET /api/v01/draas/{draas_instance}/tenants/{uuid}/subscriptions/{subscription_id}/audit

Authorization ​

Required role

groups.instance.audit.list

distributors.instance.audit.list

resellers.instance.audit.list

tenants.instance.audit.list

tenants.instance.subscriptions.instance.audit.list

Path Parameters ​

ParameterTypeDescription
draas_instancestringSee common parameters
uuidstringA system generated unique ID (UUID) identifying the group, distributor, reseller or tenant
sub_idintegerIndex of a subscription for which you want to get the MS Teams groups

URL/Query parameters ​

ParameterTypeDescriptionRequired?
page_sizeintegerUsed for pagination, determines the maximum number of records on one page of results (defaults to 10)no
nextstringA token used to get the next records in the list. This token is taken back from the results of the previous callno
typestringThe kind of event, could be create, update or delete. Will retrieve only audits of this kindno
ownerstringThe username of the owner of the audit. This will retrieve only the audits that matches that ownerno
date_fromstringStart date of range where the audits have been performedno
date_tostringEnd date of range where the audits have been performedno

Response ​

Status codes ​

ParameterDescription
200One or more audits found
400Error while processing the request
500Uncatched error on server side

Success ​

Body ​
ParameterTypeDescriptionConditional?
resultsintegerTotal number of results from the queryno
pagesintegerTotal number of pages according to pagination settingsno
pageintegerCurrent displayed page from the set of pagesno
nextstringA token used for infinite scrolling, to be used in the next call to retrieve subsequent records. Only present if the list of customer's licenses has to be continuedyes
logsarrayList containing the retrieved Audit objects for the requesting userno
Audit Object ​
ParameterTypeDescriptionConditional?
idintegerID of the audit in databaseno
eventstringThe event that has been performedno
statusstringStatus of the audit. Could be SUCCESS, ERRORno
wf_statusstringWorkflow status of the audit. Could be SUCCESS, ERROR, ONGOINGno
response_statusintegerHTTP Response code of the requestno
usernamestringThe username of the owner of the audit (who performed the action)no
created_onstringThe date time representation when the audit has been createdno
updated_onstringThe date time representation when the audit has been last updatedno
Example ​
json
{
    "logs": [
        {
            "id": 489378,
            "event": "create_subscription_post_order",
            "status": "SUCCESS",
            "response_status": 201,
            "wf_status": "SUCCESS",
            "username": "admin1",
            "created_on": "2024-08-23T14:02:14.150213Z",
            "updated_on": "2024-08-23T14:02:14.150213Z"
        },
        {
            "id": 489370,
            "event": "create_group_product",
            "status": "ERROR",
            "response_status": 400,
            "wf_status": "SUCCESS",
            "username": "admin1",
            "created_on": "2024-08-23T14:01:57.873551Z",
            "updated_on": "2024-08-23T14:01:57.873551Z"
        },
    ],
    "next": "cGFnZV9zaXplPTEmcGFnZT0y",
    "page": 1,
    "pages": 2,
    "results": 1
}

Get the details of an audit ​

Returns the audit's details.

Request ​

Endpoint ​

GET /api/v01/draas/{draas_instance}/groups/{uuid}/audit/{audit_id}

GET /api/v01/draas/{draas_instance}/distributors/{uuid}/audit/{audit_id}

GET /api/v01/draas/{draas_instance}/resellers/{uuid}/audit/{audit_id}

GET /api/v01/draas/{draas_instance}/tenants/{uuid}/audit/{audit_id}

GET /api/v01/draas/{draas_instance}/tenants/{uuid}/subscriptions/{subscription_id}/audit/{audit_id}

Authorization ​

Required role

groups.instance.audit.instance.read

distributors.instance.audit.instance.read

resellers.instance.audit.instance.read

tenants.instance.audit.instance.read

tenants.instance.subscriptions.instance.audit.instance.read

Path Parameters ​

ParameterTypeDescription
draas_instancestringSee common parameters
uuidstringA system generated unique ID (UUID) identifying the group, distributor, reseller or tenant
sub_idintegerIndex of a subscription for which you want to get the MS Teams groups
audit_idintegerID of the customer's license in database as returned by this API

URL/Query parameters ​

N/A

Response ​

Status codes ​

ParameterDescription
200Details of the customer license
404Customer license not found
400Error while processing the request
500Uncatched error on server side

Success ​

Body ​
ParameterTypeDescriptionConditional?
idintegerID of the audit in databaseno
eventstringThe event that has been performedno
statusstringStatus of the audit. Could be SUCCESS, ERRORno
wf_statusstringWorkflow status of the audit. Could be SUCCESS, ERROR, ONGOINGno
response_statusintegerHTTP Response code of the requestno
usernamestringThe username of the owner of the audit (who performed the action)no
created_onstringThe date time representation when the audit has been createdno
updated_onstringThe date time representation when the audit has been last updatedno
api_levelstringThe level of the API behind the event. Could be Group, Distributor, Reseller, Tenant, Subscriptionno
user_levelstringThe level of the user owner of the event. Could be Group, Distributor, Reseller, Tenant, Subscriptionno
typestringA friendly version of the type of event (Create, Update, Delete)no
idsobjectAn ID object representing all the IDs involved in the eventno
request_methodstringThe actual request method of the API callno
request_urlstringThe actual url of the API callno
Audit ID Object ​
ParameterTypeDescriptionConditional?
group_uuidstringA system generated unique ID (UUID) identifying the groupyes
distributor_uuidstringA system generated unique ID (UUID) identifying the groupyes
reseller_uuidstringA system generated unique ID (UUID) identifying the groupyes
tenant_uuidstringA system generated unique ID (UUID) identifying the groupyes
subscription_idnumberIndex of a subscriptionyes
<other_ids>stringAny other relevant ID relative to the urlyes
Example ​
json
{
    "id": 489378,
    "event": "create_subscription_post_order",
    "status": "SUCCESS",
    "response_status": 201,
    "wf_status": "SUCCESS",
    "username": "ilario.dalgrande+gnp1@netaxis.be",
    "created_on": "2024-08-23T14:02:14.150213Z",
    "updated_on": "2024-08-23T14:02:14.150213Z",
    "api_level": "Subscription",
    "user_level": "Group",
    "type": "Create",
    "ids": {
        "subscription_id": "143",
        "tenant_uuid": "b73c9d64-1662-4d93-b656-956e699768e3"
    },
    "request_method": "post",
    "request_url": "/api/v01/draas/draas_fusion_dev/tenants/b73c9d64-1662-4d93-b656-956e699768e3/subscriptions/143/orders"
}

Get the list of audit events ​

List all the event names that may appear in the audits. This list can be used to build an event filter for the list of audits.

Request ​

Endpoint ​

GET /api/v01/draas/{draas_instance}/groups/{uuid}/audit/events

GET /api/v01/draas/{draas_instance}/distributors/{uuid}/audit/events

GET /api/v01/draas/{draas_instance}/resellers/{uuid}/audit/events

GET /api/v01/draas/{draas_instance}/tenants/{uuid}/audit/events

Authorization ​

Required role

groups.instance.audit.events.list

distributors.instance.audit.events.list

resellers.instance.audit.events.list

tenants.instance.audit.events.list

Path Parameters ​

ParameterTypeDescription
draas_instancestringSee common parameters
uuidstringA system generated unique ID (UUID) identifying the group, distributor, reseller or tenant

URL/Query parameters ​

ParameterTypeDescriptionRequired?
page_sizeintegerUsed for pagination, determines the maximum number of records on one page of results (defaults to 10)no

Response ​

Status codes ​

ParameterDescription
200One or more events found
400Error while processing the request
500Uncatched error on server side

Success ​

Body ​
ParameterTypeDescriptionConditional?
eventsarrayList of event names (string) that appear in the auditsno
Example ​
json
{
  "events": [
    "create_tenant",
    "update_tenant",
    "delete_subscription"
  ]
}

Get the list of audit users ​

List all the users related to audits based.

Request ​

Endpoint ​

GET /api/v01/draas/{draas_instance}/groups/{uuid}/audit/users

GET /api/v01/draas/{draas_instance}/distributors/{uuid}/audit/users

GET /api/v01/draas/{draas_instance}/resellers/{uuid}/audit/users

GET /api/v01/draas/{draas_instance}/tenants/{uuid}/audit/users

Authorization ​

Required role

groups.instance.audit.users.list

distributors.instance.audit.users.list

resellers.instance.audit.users.list

tenants.instance.audit.users.list

Path Parameters ​

ParameterTypeDescription
draas_instancestringSee common parameters
uuidstringA system generated unique ID (UUID) identifying the group, distributor, reseller or tenant

URL/Query parameters ​

ParameterTypeDescriptionRequired?
nextstringA token used to get the next records in the list. This token is taken back from the results of the previous callno
pageintegerUsed for pagination, determines the returned page from the collection of result pages (defaults to 1)no
page_sizeintegerUsed for pagination, determines the maximum number of records on one page of results (defaults to 10)no

Response ​

Status codes ​

ParameterDescription
200One or more users found
400Error while processing the request
500Uncatched error on server side

Success ​

Body ​
ParameterTypeDescriptionConditional?
resultsintegerTotal number of results from the queryno
pagesintegerTotal number of pages according to pagination settingsno
pageintegerCurrent displayed page from the set of pagesno
nextstringA token used for infinite scrolling, to be used in the next call to retrieve subsequent records. Only present if the list of customer's licenses has to be continuedyes
usersarrayList containing the retrieved Audit User objectsno
Audit User Object ​
ParameterTypeDescriptionConditional?
idintegerID of the audit user in databaseno
admin_ofstringThe entity UUIDno
admin_asstringThe admin user level. Could be group, distributor, reseller, tenantno
usernamestringThe username of the admin userno
Example ​
json
{
  "users": [
    {
      "id": 287,
      "username": "jrocket3@example.com",
      "admin_of": "21fb665e-c3db-40c5-a50c-65a9d4be540a",
      "admin_as": "tenant"
    },
    {
      "id": 221,
      "username": "n4_dev_t",
      "admin_of": "21fb665e-c3db-40c5-a50c-65a9d4be540a",
      "admin_as": "tenant"
    },
    {
      "id": 320,
      "username": "russell.nkiwane+fusionten@netaxis.be",
      "admin_of": "21fb665e-c3db-40c5-a50c-65a9d4be540a",
      "admin_as": "tenant"
    },
    {
      "id": 303,
      "username": "test_n4_dev_t",
      "admin_of": "21fb665e-c3db-40c5-a50c-65a9d4be540a",
      "admin_as": "tenant"
    }
  ],
  "page": 1,
  "pages": 1,
  "results": 4
}